Name:		hdapsd
Version:	20141203
Release:	%mkrel 6
Summary:	Protects hard drives by parking head when fall is detected

Group:		System/Kernel and hardware
License:	GPLv2+
URL:		https://hdaps.sourceforge.net/
Source0:	https://github.com/evgeni/hdapsd/releases/download/%{version}/%{name}-%{version}.tar.gz
Requires:	systemd-units
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(udev)
BuildRequires:	autoconf
BuildRequires:	automake

%description

This is a disk protection user-space daemon. It monitors the acceleration
values through the HDAPS/AMS interfaces and automatically initiates disk head
parking if a fall or sliding of the laptop is detected.

HDAPS is typically found in Apple, Dell, HP, ThinkPad, Toshiba laptops.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -std=gnu17"
%configure
%make_build


%install
%make_install

%post
%_post_service %{name}@

%preun
%_preun_service %{name}@


%files
%{_sbindir}/*
%{_udevrulesdir}/%{name}.rules
%{_unitdir}/%{name}@.service
%{_mandir}/man8/hdapsd.8*
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc README
%doc README.md


%changelog
* Thu May 15 2025 ns80 <ns80> 20141203-6.mga10
+ Revision: 2183703
- try to fix building with GCC 15

* Thu Mar 24 2022 umeabot <umeabot> 20141203-5.mga9
+ Revision: 1824169
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 20141203-4.mga8
+ Revision: 1512921
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 20141203-3.mga7
+ Revision: 1298171
- Mageia 7 Mass Rebuild

* Mon Feb 15 2016 umeabot <umeabot> 20141203-2.mga6
+ Revision: 960606
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 20141203-1.mga6
+ Revision: 895197
- add more doc
- remove empty lang files to fix build with latest rpm
+ zezinho <zezinho>
- add toshiba haps support
- switch to official releases

* Wed Oct 15 2014 umeabot <umeabot> 20090401.20131204git401ca60-2.mga5
+ Revision: 742906
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 zezinho <zezinho> 20090401.20131204git401ca60-1.mga5
+ Revision: 731622
- add udev build requires
- from fedora to mageia
- imported package hdapsd


* Wed Dec 04 2013 Tomasz Torcz <ttorcz@fedoraproject.org> - 20090401.20131204git401ca60c75-1
- latest upstream snapshot, fixes rhbz#1037119

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090401gita64b50c-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 28 2013 Tomasz Torcz <ttorcz@fedoraproject.org> - 20090401gita64b50c-1
- package upstream snapshot:
  - use upstream systemd units and udev rules
  - drop sysconfig file

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090401-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090401-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 03 2012 Tomasz Torcz <ttorcz@fedoraproject.org> - 20090401-10
- spec cleanup:
  - remove BuildRoot define and it's removal from clean
  - use _unitdir macro introduced in the meantime
  - drop upstart event files
- remove StandardOutput=syslog from unit file

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090401-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090401-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 9 2011 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-7
- remove bad parentheses in ExecStart= line of systemd unit def
  (thanks Alexandre Silva Lopes, #667073)

* Sat Jul 17 2010 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-6
- provide systemd service definition
- resurrect udev rule for systemd interaction

* Mon Dec 07 2009 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-5
- port initscript file to upstart 0.6, removing custom udev rule

* Fri Sep 04 2009 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-4
- use version macro in in Source0, as per review suggestion (#505928 #9)

* Sun Jun 21 2009 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-3
- fixes from review: URL source, proper build root macro
- minor cleanup of event file

* Wed Jun 17 2009 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-2
- mark upstart event file and udev rule as config files

* Sun Jun 14 2009 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-1
- initial version
